PRINC="3"

# We need networking to run as we have no native services yet
SYSTEMD_DISABLED_SYSV_SERVICES_remove = "networking dnsmasq"

S_THISDIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${S_THISDIR}/${PN}"], d)}:"

SRC_URI += "file://alignment.service"

do_install_append() {
	install -d ${D}${systemd_unitdir}/system/basic.target.wants
	install -d ${D}${systemd_unitdir}/system/sysinit.target.wants/

	install -m 0644 ${WORKDIR}/alignment.service ${D}${systemd_unitdir}/system
	ln -sf ../alignment.service ${D}${systemd_unitdir}/system/basic.target.wants/
	ln -sf ../alignment.service ${D}${systemd_unitdir}/system/sysinit.target.wants/
}

FILES_${PN} = "${systemd_unitdir}/system ${bindir}"
